<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:p="http://primefaces.org/ui"
	xmlns:o="http://xmlns.jcp.org/jsf/html" template="/WEB-INF/template.xhtml">

	<ui:define name="title">Message</ui:define>

	<ui:define name="head">
		<style type="text/css">
.ui-button {
	margin-right: 4px;
}

.form-grid td {
	padding: 16px 2px;
}
</style>
	</ui:define>

	<ui:define name="content">
		 <h:form enctype="multipart/form-data">
			<div class="ui-g">
				<div class="ui-g-12">
					<div class="card">
						<h1>Modify your Profile</h1>
						<p:tooltip />

						<p:messages showDetail="true" autoUpdate="true" closable="true" />

						<p:commandButton value="Info"
							actionListener="#{messagesView.info}" style="width:100px"
							process="@this" />
						<p:commandButton value="Warn"
							actionListener="#{messagesView.warn}"
							styleClass="deep-orange-button" style="width:100px"
							process="@this" />
						<p:commandButton value="Error"
							actionListener="#{messagesView.error}" styleClass="red-button"
							style="width:100px" process="@this" />
						<p:commandButton value="Fatal"
							actionListener="#{messagesView.fatal}" styleClass="indigo-button"
							style="width:100px" process="@this" />

						<p:growl id="growl" showDetail="true" sticky="true" />

						<p:panelGrid id="grid" columns="3" style="margin-top:20px"
							styleClass="ui-panelgrid-blank form-group">
							<p:outputLabel for="default" value="Name" />
							<p:inputText id="default" value="#{userctr.user.name}" required="true" />
							<p:message for="default" />
 

							<p:outputLabel for="txt" value="LastName" />
							<p:inputText id="txt" value="#{userctr.user.lastName}" required="true" />
							<p:message for="txt" display="text" />
							

							<p:outputLabel for="icon"  value="Image" />
							 <o:inputFile value="#{userctr.file}" accept="image/png" >
                         </o:inputFile>
							<p:message for="icon" display="icon" />

							<p:outputLabel for="icon"  value="Email" />
							<p:inputText id="icon" value="#{userctr.user.email}" required="true" />
							
							<p:message for="icon" display="icon" />

							
							<p:outputLabel for="mtext" value="UserName" />
							<h:panelGroup styleClass="md-inputfield">
								<p:inputText id="mtext"  value="#{userctr.user.username}" required="true" />
								<label>UserName</label>
								<p:message for="mtext" display="text" />
							</h:panelGroup>
							<p:spacer />
							

							<p:outputLabel for="micon" value="Password"/>
							<h:panelGroup styleClass="md-inputfield">
								<p:inputText id="micon" value="#{userctr.user.password}" required="true" />
								<label>Password</label>
								<p:message for="micon" display="icon" />
							</h:panelGroup>
							<p:spacer />
							
						</p:panelGrid>

						<p:commandButton id="submitButton" value="Modify"
							action="#{userctr.doupdate()}"
							update="grid growl" styleClass="GreenButton" /> 
							
					</div>
				</div>
			</div>
		</h:form>
	</ui:define>

</ui:composition>